2018-12-12 18:25 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000083Branch 0.2.1-FINALFeature Requestpublic2016-11-23 10:04
ReporterQuix0r 
Assigned ToQuix0r 
PrioritylowSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000083: Verbesserungen an den SQL-Abfragen
DescriptionDie SQL-Abfragen sollten wie folgt verbessert werden:
- Alle Tabellennamen und -spalten in Backticks (` nicht ') einschliessen
- Die Konstante _MYSQL_PREFIX von "._MYSQL_PREFIX." auf {?_MYSQL_PREFIX?} umstellen, damit PHP zur Parserzeit Resourcen sparen kann (weniger Konstanten verarbeitet).

TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
parent of 0000084closeduser13 Kein auflösen von {!MYSQL_PREFIX!} 
+Relationships

-Notes

~0000210

Quix0r (administrator)

Soweit sind mit dem naechsten Commit alle Tabellennamen in Back-Ticks und die Konstante _MYSQL_PREFIX ist in {! und !} eingebunden.

~0000470

Quix0r (administrator)

{!FOO!} (Konstanten einbinden) wird nicht mehr unterstuetzt!

~0000548

Quix0r (administrator)

Das sollte komplett erledigt sein. Bitte zum Einbinden der Daten SQL_QUERY_ESC() und eine Maske verwenden, nicht SQL_QUERY() und einfach mit einem Punkt oder Plus-Zeichen den Query zusammenbauen, da dies sehr unsicher (SQL-Injektionen) ist.

~0000647

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-02-19 16:27 Quix0r New Issue
2009-02-19 16:28 Quix0r Assigned To => Quix0r
2009-02-19 16:28 Quix0r Status new => assigned
2009-02-19 16:28 Quix0r Projection none => tweak
2009-02-19 16:28 Quix0r ETA none => < 1 day
2009-02-19 16:28 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-19 16:28 Quix0r Description Updated
2009-02-19 18:29 Quix0r Note Added: 0000210
2009-02-19 21:44 user13 Relationship added child of 0000084
2009-03-02 15:32 Quix0r Sticky Issue No => Yes
2009-08-06 14:03 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:03 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-10-10 23:25 Quix0r Relationship deleted child of 0000084
2009-10-10 23:26 Quix0r Relationship added parent of 0000084
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:50 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:45 Quix0r Fixed in Version 0.2.1-FINAL =>
2010-06-28 02:36 Quix0r Note Added: 0000470
2010-06-28 02:36 Quix0r Description Updated View Revisions
2012-06-06 12:02 Quix0r Note Added: 0000548
2012-06-06 12:02 Quix0r Status assigned => resolved
2012-06-06 12:02 Quix0r Fixed in Version => 0.2.1-FINAL
2012-06-06 12:02 Quix0r Resolution open => fixed
2016-11-23 10:04 Quix0r Status resolved => closed
2016-11-23 10:04 Quix0r Note Added: 0000647
+Issue History